Bug 126415 - CAN-2004-0415 file offset pointer signedness issues
CAN-2004-0415 file offset pointer signedness issues
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-21 07:22 EDT by Mark J. Cox (Product Security)
Modified: 2013-03-06 00:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 17:48:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-06-21 07:22:08 EDT
Embargoed until Jun29 1600 MEST

isec.pl reported on May24 file offset pointer vulnerabilities allowing
read of kernel memory.  They noted "dozens of places" with vulnerable
code and gave poc based on MTRR race.
Comment 2 Mark J. Cox (Product Security) 2004-07-23 03:48:14 EDT
Due to the complexity of the issue and fixes the embargo has been
moved, currently set at Aug 3rd at 1700 UTC
Comment 3 Mark J. Cox (Product Security) 2004-08-03 14:01:00 EDT
Removing embargo; errata in progress
Comment 4 Mark J. Cox (Product Security) 2004-08-03 17:48:15 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-418.html

Note You need to log in before you can comment on or make changes to this bug.